define({"0":{y:0,u:"../Content/Intro/intro_part.htm",l:-1,t:"Introduction",i:0.00719554156164111,a:"Introduction This section introduces the OpenText ACI API and includes the following topics: Introduction to the ACI API"},"1":{y:0,u:"../Content/Intro/intro.htm",l:-1,t:"Introduction to the ACI API",i:0.0133118372364334,a:"Introduction to the ACI API The ACI (Autonomy Content Infrastructure) Client API enables easy communication between custom-built applications and OpenText ACI servers, as well as simple manipulation of the returned result sets. "},"2":{y:0,u:"../Content/Intro/API_Versions.htm",l:-1,t:"API Versions",i:0.00719554156164111,a:"API Versions This version of the ACI API Programming Guide is relevant for the following versions of the IDOL SDKs: Java Client NG IDOL SDK version 12.13 C IDOL SDK version 12.13 .NET IDOL SDK version 12.13"},"3":{y:0,u:"../Content/Intro/System_Architecture.htm",l:-1,t:"System Architecture",i:0.00719554156164111,a:"The ACI API uses HTTP to allow custom-built applications (for example C,  Java, or .NET applications) to communicate with OpenText ACI servers. Communication with the servers is implemented over HTTP using XML and can adhere to SOAP. The following diagram shows the architecture. Application Server ..."},"4":{y:0,u:"../Content/Intro/Use_the_ACI_API.htm",l:-1,t:"Use the ACI API",i:0.00719554156164111,a:"You can use the ACI API to send actions to ACI servers and retrieve information from their responses. Each IDOL SDK provides APIs that allow you to: Configure connections to ACI servers. Send requests to ACI servers For details on the available actions and the parameters they require, refer to the ..."},"5":{y:0,u:"../Content/Intro/Autonomy_ACI_Server_.htm",l:-1,t:"OpenText ACI Server Action Syntax",i:0.00719554156164111,a:"OpenText ACI Server Action Syntax You can use either HTTP GET or HTTP POST methods to access OpenText ACI servers. The following sections describe syntax differences between the two methods and show examples of each. The ACI API clients construct these requests for you."},"6":{y:0,u:"../Content/Intro/HTTP_GET.htm",l:-1,t:"HTTP GET",i:0.00719554156164111,a:"The ACI API allows custom-built applications to access OpenText ACI servers using the following HTTP action syntax: http://host:port/action=action\u0026parameters where, Example: Consider the following example: http://localhost:4000/action=query\u0026text=dinosaurs\u0026maxresults=1 This action sends the query ..."},"7":{y:0,u:"../Content/Intro/HTTP_POST.htm",l:-1,t:"HTTP POST",i:0.00719554156164111,a:"The ACI API allows custom-built applications to access OpenText ACI servers using the following HTTP action syntax to post the body to  host:port.  action=action parameter1=parameter_value parameter2=parameter_value  is a CRLF combination or a CR. where, Example: Consider the following example that ..."},"8":{y:0,u:"../Content/Intro/Display_Online_Help_.htm",l:-1,t:"Display Online Reference for ACI Server Actions",i:0.00719554156164111,a:"The ACI server online references contain details of the available actions and configuration parameters for an ACI server. You can use the references to find the details of the actions and parameters that you want to call with the ACI API. You can view the reference for a particular ACI server by ..."},"9":{y:0,u:"../Content/Intro/The_ACI_Representati.htm",l:-1,t:"The ACI Representation of XML",i:0.00719554156164111,a:"The  ACI Representation of XML The following section is not relevant to the .NET IDOL SDK. Each XML entity in an XML document is represented by a Data ACI object (for the Java SDK, this is an AciResponse object), which holds the name of the XML entity and its value (if the XML entity contains plain ..."},"10":{y:0,u:"../Content/Java/java_part.htm",l:-1,t:"Java Language Interface",i:0.00719554156164111,a:"Java Language Interface This section provides information on using the Java language IDOL SDK and includes the following chapters: Use the Java Client NG IDOL SDK"},"11":{y:0,u:"../Content/Java/Java NG/usingJavaNG.htm",l:-1,t:"Use the Java Client NG IDOL SDK",i:0.0133118372364334,a:"Use the Java Client NG IDOL SDK This section describes common ways to use the Java Client NG IDOL SDK. "},"12":{y:0,u:"../Content/Java/Java NG/Requirements.htm",l:-1,t:"Requirements",i:0.00719554156164111,a:"Requirements To use the Java IDOL SDK, OpenText recommends that you use Java 17 or later.  Java version 11 is deprecated. It is currently available but will be removed in a future release. "},"13":{y:0,u:"../Content/Java/Java NG/Java_ACI_NG_Objects.htm",l:-1,t:"Java ACI Objects",i:0.00719554156164111,a:"In the Java Client NG IDOL SDK, the main ACI API functionality is provided by the following objects: AciServerDetails allows you to set the connection details of an ACI server including encryption settings. AciService and AciParameter objects allow you to construct sets of action parameters and send ..."},"14":{y:0,u:"../Content/Java/Java NG/Create_AciService.htm",l:-1,t:"Create an AciService",i:0.00719554156164111,a:"All communication with ACI Servers goes through an implementation of the AciService interface. To allow for the usage of different HTTP clients, the default implementation of the AciService interface requires an implementation of the AciHttpClient interface. The default implementation of the  ..."},"15":{y:0,u:"../Content/Java/Java NG/Perform_an_Action.htm",l:-1,t:"Perform an Action",i:0.00719554156164111,a:"After you create your AciService, the next thing you need to do to send an action to an ACI Server, is to produce a set of parameters. You can use any kind of Set implementation, and there is a helper class, ActionParameters, with various methods to make it easier to populate. If you were sending a ..."},"16":{y:0,u:"../Content/Java/Java NG/Process_an_ACI_Response.htm",l:-1,t:"Process an ACI Response",i:0.00719554156164111,a:"The API uses a processor based system to consume the responses from an ACI Server. It is based around two interfaces: Processor\u003cT\u003e and StAXProcessor\u003cT\u003e. StAXProcessor\u003cT\u003e has an abstract implementation that sets up the StAX parser. You can either write your own processor implementations, or use those ..."},"17":{y:0,u:"../Content/Java/Java NG/Multipart_Action.htm",l:-1,t:"Send Multipart Data",i:0.00719554156164111,a:"The following program provides a more detailed example that includes sending multipart data to a Media Server for processing.  Copy import com.autonomy.aci.client.services.AciService; import com.autonomy.aci.client.services.impl.AciServiceImpl; import ..."},"18":{y:0,u:"../Content/Java/Java NG/JSP_Tag_Library.htm",l:-1,t:"JSP Tag Library",i:0.00719554156164111,a:"The Java Client NG IDOL SDK has a JSP tag library to provide an alternative method for sending actions.  The SDK includes documentation for these tags, as well as JavaDocs. For more information about the tag library, refer to these documents in your Java Client NG IDOL SDK installation package.  The ..."},"19":{y:0,u:"../Content/NET/NET_part.htm",l:-1,t:".NET Language Interface",i:0.00719554156164111,a:".NET Language Interface This section provides information on using the .NET language IDOL SDK. Use the .NET Interface"},"20":{y:0,u:"../Content/NET/usingNET.htm",l:-1,t:"Use the .NET Interface",i:0.0133118372364334,a:"Use the .NET Interface This section describes common ways to use the IDOL SDK  for .NET.  The classes defined in the .NET IDOL SDK are in the Autonomy.Aci namespace. To use the examples in this document you must include the directive: using Autonomy.Aci;"},"21":{y:0,u:"../Content/NET/Requirements.htm",l:-1,t:"Requirements",i:0.00719554156164111,a:"Requirements The .NET IDOL SDK requires .NET Framework version 4.6.2 or later. "},"22":{y:0,u:"../Content/NET/NET_ACI_API_Objects.htm",l:-1,t:".NET IDOL SDK Objects",i:0.00719554156164111,a:"In the .NET IDOL SDK, the main functionality is provided by the following objects: The AciClient class provides methods for creating new connections. Command objects represent requests to an ACI server. They can be run by any connection returned by AciClient. Response objects represent responses ..."},"23":{y:0,u:"../Content/NET/Create_a_Connection.htm",l:-1,t:"Create a Connection",i:0.109595968497452,a:"To send actions to an ACI server, you must first create a connection. When you create the connection, you specify the host and port of the server you want to send the actions to. You can specify other connection settings, such as the number of times to retry a request that fails before abandoning ..."},"24":{y:0,u:"../Content/NET/Perform_an_Action.htm",l:-1,t:"Perform an Action",i:0.0217640500330921,a:"To send an action to the ACI server, you must create a Command object. This object stores information about the action that you want to run, including all the parameters that the action requires. For an example of how to create a Command object, see  Create an Action . Create an Action The following ..."},"25":{y:0,u:"../Content/NET/Manipulate_a_Respons.htm",l:-1,t:"Manipulate a Response",i:0.0125141410010817,a:"The Execute method of an IConnection sends an action to an ACI server and returns a structure containing the response.  For an example of how to obtain this structure, see  Obtain a Response to a Query . Obtain a Response to a Query The following example shows how to run a command and retrieve the ..."},"26":{y:0,u:"../Content/C/c_part.htm",l:-1,t:"C Language Interface",i:0.00719554156164111,a:"C Language Interface This section provides information on using the C language IDOL SDK and includes the following chapters: Use the C Interface C-Language Reference"},"27":{y:0,u:"../Content/C/usingC.htm",l:-1,t:"Use the C Interface",i:0.0102536893990373,a:"Use the C Interface This chapter describes common ways to use the C-language IDOL SDK. "},"28":{y:0,u:"../Content/C/Requirements.htm",l:-1,t:"Requirements",i:0.00719554156164111,a:"Requirements The C IDOL SDK requires the following minimum compiler versions:  (Windows) Microsoft Visual Studio 2017 or later. (Linux) GCC 4.8 or later."},"29":{y:0,u:"../Content/C/C_ACI_Objects.htm",l:-1,t:"C ACI Objects",i:0.00719554156164111,a:"The fundamental construct in the C IDOL SDK is the ACI object. ACI objects have the following types: Connection objects allow you to represent details of the ACI server. Command objects allow you to set details of the requests made to the server; for example, the server action and the parameters ..."},"30":{y:0,u:"../Content/C/Create_a_Connection.htm",l:-1,t:"Create a Connection",i:0.0479580531772085,a:"You must create a connection object (type ACI_CONNECTION) to establish a connection with the server. You must set the server host details in this object before making a request. You can specify other connection settings, such as the number of times a connection to the server is attempted and fails ..."},"31":{y:0,u:"../Content/C/Perform_an_Action.htm",l:-1,t:"Perform an Action",i:0.00719554156164111,a:"A command object (type ACI_COMMAND) stores information about the action that you want to run, as well as all the parameters that this action requires, such as:  the type of HTTP request (GET/POST) that is made when the action runs. security details for a data repository. There is no limit to the ..."},"32":{y:0,u:"../Content/C/Manipulate_a_Respons.htm",l:-1,t:"Process a Response",i:0.0479580531772085,a:"There are two ways to execute the request, depending on how you want to process the response. Obtain and Process an Unparsed Response The aciObjectExecuteToString function returns the server response as an unparsed data buffer: char *szResponse = NULL;\nint nResponseLen = 0;\nchar *szContentType = ..."},"33":{y:0,u:"../Content/C/Multipart_Action.htm",l:-1,t:"Send Multipart Data",i:0.00719554156164111,a:"The following program provides a more detailed example that includes sending multipart data to a Media Server for processing. This example uses the  aciObjectParamSetFile  function to upload the source data and task configuration files. To run this example program, you set four arguments at the ..."},"34":{y:0,u:"../Content/C/C_functions.htm",l:-1,t:"C-Language Reference",i:0.0102536893990373,a:"C-Language Reference This section describes the C-language functions that are part of the C IDOL SDK. "},"35":{y:0,u:"../Content/C/Function_Summary.htm",l:-1,t:"Function Summary",i:0.00719554156164111,a:"Function Summary The C-language functions can be divided into several categories as identified in the table below."},"36":{y:0,u:"../Content/C/Constants.htm",l:-1,t:"Constants",i:0.00719554156164111,a:"Constants The constants that are used in the C language SDK are outlined in the following table."},"37":{y:0,u:"../Content/C/aciClientFreeMemory.htm",l:-1,t:"aciClientFreeMemory",i:0.00719554156164111,a:"Call the aciClientFreeMemory function to free memory allocated with the ACI client. Syntax aciError aciClientFreeMemory(\n   void** ppMem)  Arguments Discussion This function provides a mechanism to free arbitrary memory allocated from within the ACI client API. Returns An ACI error code."},"38":{y:0,u:"../Content/C/aciErrorStatusCreate.htm",l:-1,t:"aciErrorStatusCreate",i:0.00719554156164111,a:"Call the aciErrorStatusCreate function to create an error status structure for aciResponseGetErrorStatus to use. Syntax aciError aciErrorStatusCreate(\n   t_aciErrorStatus** ppErrorStatus) Arguments Discussion This function creates the ACI error status structure. You must call this function before ..."},"39":{y:0,u:"../Content/C/aciErrorStatusDestro.htm",l:-1,t:"aciErrorStatusDestroy",i:0.00719554156164111,a:"Call the aciErrorStatusDestroy function to destroy an error status structure created by aciErrorStatusCreate. Syntax aciError aciErrorStatusDestroy(\n   t_aciErrorStatus **ppErrorStatus) Arguments Discussion This function destroys the ACI error status structure. You must call this function after ..."},"40":{y:0,u:"../Content/C/aciErrorStatusReset.htm",l:-1,t:"aciErrorStatusReset",i:0.00719554156164111,a:"Call the aciErrorStatusCreate function to reset an error status structure that the aciResponseGetErrorStatus uses. Syntax aciError aciErrorStatusReset(\n   t_aciErrorStatus *pErrorStatus) Arguments Discussion This function resets the ACI error status structure. Returns An ACI error code."},"41":{y:0,u:"../Content/C/aciInit.htm",l:-1,t:"aciInit",i:0.00719554156164111,a:"aciInit Call the aciInit function to initialize the ACI API.  Syntax void aciInit ( ) Discussion You must call this function at the beginning of an application. "},"42":{y:0,u:"../Content/C/aciInitEncryption.htm",l:-1,t:"aciInitEncryption",i:0.00719554156164111,a:"Call the aciInitEncryption function to initialize the encryption keys to use for subsequent ACI connections.  Syntax aciError aciInitEncryption (\n    BOOL bOEMLicensed,\n    char* szEncType,\n    char* szTEAKeys) Arguments Discussion You must call this function at the beginning of an application when ..."},"43":{y:0,u:"../Content/C/acioAttributeGetValu.htm",l:-1,t:"acioAttributeGetValue",i:0.00719554156164111,a:"Call the acioAttributeGetValue function to get the value of an attribute. Syntax aciError acioAttributeGetValue(\n   t_aciObject* pObject,\n   const char* szAttribName,\n   char** pszAttribValue) Arguments Discussion This function gets the value of the specified attribute (returned in ..."},"44":{y:0,u:"../Content/C/aciObjectAddAttribut.htm",l:-1,t:"aciObjectAddAttribute",i:0.00719554156164111,a:"Call the aciObjectAddAttribute function to add a new attribute to an ACI object. Syntax aciError aciObjectAddAttribute(\n   t_aciObject* pObject,\n   const char* szAttributeName,\n   const char* szAttributeValue) Arguments Discussion This function adds an aciObjectVariable to the object\u0027s attribute ..."},"45":{y:0,u:"../Content/C/aciObjectAttributeGetNames.htm",l:-1,t:"aciObjectAttributeGetNames",i:0.00719554156164111,a:"Call the aciObjectAttributeGetNames function to get an array of the attributes of the current object. Syntax aciError aciObjectAttributeGetNames(\n   t_aciObject* pObject,\n   char*** paszAttribNames,\n   int* pnNumAttributes) Arguments Discussion This function populates an array of strings with the ..."},"46":{y:0,u:"../Content/C/aciObjectAttributeGe.htm",l:-1,t:"aciObjectAttributeGetNamesAndValuesNoCopy",i:0.00719554156164111,a:"Call the aciObjectAttributeGetNamesAndValuesNoCopy function to retrieve arrays of attribute names and values of an ACI object. Syntax aciError aciObjectAttributeGetNamesAndValuesNoCopy(\n   t_aciObject* pObject,\n   const char*** paszAttrNames,\n   const char*** paszAttrValues,\n   int* pnNumAttrs); ..."},"47":{y:0,u:"../Content/C/aciObjectCheckForSuc.htm",l:-1,t:"aciObjectCheckForSuccess",i:0.00719554156164111,a:"Call the aciObjectCheckForSuccess function to check whether an ACI server reply object contains a successful response entry.  Syntax BOOL aciObjectCheckForSuccess (\n   t_aciObject* pACIOResult) Arguments Discussion You can only call this function for an ACI_DATA type ACI object.  Returns TRUE if ..."},"48":{y:0,u:"../Content/C/aciObjectCreate.htm",l:-1,t:"aciObjectCreate ",i:0.00719554156164111,a:"Call the aciObjectCreate function to create an ACI object. Syntax aciError aciObjectCreate (\n   t_aciObject** ppObject,\n   aciObjectType nType); Arguments Discussion This function creates and allocates memory for an ACI object of type nType. Typically, you do not create ACI_DATA type objects; call ..."},"49":{y:0,u:"../Content/C/aciObjectDeleteObjec.htm",l:-1,t:"aciObjectDeleteObject",i:0.00719554156164111,a:"Call the aciObjectDeleteObject function to delete a single ACI object. Syntax aciError aciObjectDeleteObject(\n   t_aciObject* pObject, \n   t_aciObject* pPrevious) Arguments Discussion This function deletes a ACI object, rearranging the pointers from its parent or sibling, and freeing all its memory. ..."},"50":{y:0,u:"../Content/C/aciObjectDestroy.htm",l:-1,t:"aciObjectDestroy",i:0.00719554156164111,a:"aciObjectDestroy Call the aciObjectDestroy function to destroy an ACI object. Syntax aciError aciObjectDestroy (\n   t_aciObject** ppObject); Arguments Discussion This function frees memory from the ACI object and all objects in its linked lists. This is a deep destroy. Returns An ACI error code."},"51":{y:0,u:"../Content/C/aciObjectExecute.htm",l:-1,t:"aciObjectExecute",i:0.0133118372364334,a:"Call the aciObjectExecute function to run an ACI action. Syntax aciError aciObjectExecute (\n   t_aciObject* pConnection,\n   t_aciObject* pToExecute,\n   t_aciObject** ppResult); Arguments Discussion This function opens the pConnection connection, run the action that is contained in the pToExecute ACI ..."},"52":{y:0,u:"../Content/C/aciObjectExecuteToSt.htm",l:-1,t:"aciObjectExecuteToString",i:0.00719554156164111,a:"Call the aciObjectExecuteToString function to run an ACI action to a string buffer, rather than to an ACI response object. Syntax aciError aciObjectExecuteToString(\n   t_aciObject* pConnection,\n   t_aciObject* pToExecute,\n   char** pszResult,\n   int* pnBufferLength,\n   char** pszContentType); ..."},"53":{y:0,u:"../Content/C/aciObjectFirstEntry.htm",l:-1,t:"aciObjectFirstEntry",i:0.00719554156164111,a:"Call the aciObjectFirstEntry function to locate the first child entry in a result. Syntax t_aciObject* aciObjectFirstEntry (\n   t_aciObject* pObject) Arguments Discussion You can only call this function for an ACI_DATA type ACI object. Returns The first child entry or NULL if no child entry exists. "},"54":{y:0,u:"../Content/C/aciObjectGetTagValue.htm",l:-1,t:"aciObjectGetTagValueWithDefault",i:0.00719554156164111,a:"Call the aciObjectGetTagValue function to obtain the value associated with the first occurrence of a tag. Syntax aciError aciObjectGetTagValueWithDefault (\n   t_aciObject* pObject, \n   char* szTagName, \n   char** pszTagValue,\n   char* szDefault) Arguments Discussion This function finds the first ..."},"55":{y:0,u:"../Content/C/aciObjectGetVersion.htm",l:-1,t:"aciObjectGetVersion",i:0.00719554156164111,a:"Call the aciObjectGetVersion function to return the version string of the ACI client. Syntax char* aciObjectGetVersion() Discussion This function gets a human-readable string describing the version of the ACI Client API. Memory is allocated to the returned pointer and must be freed by the caller. ..."},"56":{y:0,u:"../Content/C/aciObjectIsAlive.htm",l:-1,t:"aciObjectIsAlive",i:0.00719554156164111,a:"Call the aciObjectIsAlive function to determine whether the ACI server is accessible. Syntax BOOL aciObjectIsAlive (\n   t_aciObject* pACIOConnection) Arguments Discussion This function checks whether the ACI server is available and accessible. You can only call this function for an ACI_CONNECTION ..."},"57":{y:0,u:"../Content/C/aciObjectNextEntry.htm",l:-1,t:"aciObjectNextEntry",i:0.00719554156164111,a:"Call the aciObjectNextEntry function to locate the next child entry in a result. Syntax t_aciObject* aciObjectNextEntry (    t_aciObject* pObject) Arguments Discussion You can only call this function for an ACI_DATA type ACI object. Returns The next entry or NULL if the object is not found or no ..."},"58":{y:0,u:"../Content/C/aciObjectParamSetBoo.htm",l:-1,t:"aciObjectParamSetBool",i:0.00719554156164111,a:"Call the aciObjectParamSetBool function to set the contents of a Boolean parameter.  Syntax aciError aciObjectParamSetBool (\n   t_aciObject* pObject, \n   char* szName, \n   BOOL bValue) Arguments Discussion This function adds the szName Boolean parameter with the specified bValue to the pObject.  ..."},"59":{y:0,u:"../Content/C/aciObjectParamSetDou.htm",l:-1,t:"aciObjectParamSetDouble",i:0.00719554156164111,a:"Call the aciObjectParamSetDouble function to set the contents of a double-precision floating point parameter.  Syntax aciError aciObjectParamSetDouble (\n   t_aciObject* pObject, \n   char* szName, \n   double dValue,\n   int nDecimalPlaces) Arguments Discussion This function adds the szName double ..."},"60":{y:0,u:"../Content/C/aciObjectParamSetFile.htm",l:-1,t:"aciObjectParamSetFile",i:0.0133118372364334,a:"Call the aciObjectParamSetFile function to set a file parameter to the path to a file to upload. You can use this function for  Syntax aciError aciObjectParamSetFile(\n   t_aciObject* pObject,\n   const char * szName, \n   const char * szFileName );  Arguments Discussion This function adds the file ..."},"61":{y:0,u:"../Content/C/aciObjectParamSetInt.htm",l:-1,t:"aciObjectParamSetInt",i:0.00719554156164111,a:"Call the aciObjectParamSetInt function to set the contents of an integer parameter.  Syntax aciError aciObjectParamSetInt(\n   t_aciObject* pObject, \n   char* szName, \n   int nValue) Arguments Discussion This function adds the szName integer parameter with the specified nValue to the pObject.  ..."},"62":{y:0,u:"../Content/C/aciObjectParamSetLon.htm",l:-1,t:"aciObjectParamSetLong",i:0.00719554156164111,a:"Call the aciObjectParamSetLong function to set the contents of a long integer parameter.  Syntax aciError aciObjectParamSetLong (\n   t_aciObject* pObject, \n   char* szName, \n   long lnValue); Arguments Discussion This function adds the szName long parameter with the specified lnValue to the pObject. ..."},"63":{y:0,u:"../Content/C/aciObjectParamSetStr.htm",l:-1,t:"aciObjectParamSetString",i:0.00719554156164111,a:"Call the aciObjectParamSetString function to set the contents of a string parameter.  Syntax aciError aciObjectParamSetString (    t_aciObject* pObject,    char* szName,    char* szValue); Arguments Discussion This function adds the szName string parameter with the specified szValue to the pObject.  ..."},"64":{y:0,u:"../Content/C/aciObjectParamSetStringB.htm",l:-1,t:"aciObjectParamSetStringB",i:0.00719554156164111,a:"Call the aciObjectParamSetStringB function to set the contents of a binary data parameter with a length. Syntax aciError aciObjectParamSetStringB (\n   t_aciObject* pObject,\n   size_t nLength,\n   const char *szName,\n   const char *szValue); Arguments Discussion This function adds the binary data ..."},"65":{y:0,u:"../Content/C/aciObjectParamSetStringN.htm",l:-1,t:"aciObjectParamSetStringN",i:0.00719554156164111,a:"Call the aciObjectParamSetStringN function to set the contents of a string parameter with a length. Syntax aciError aciObjectParamSetStringN (\n   t_aciObject* pObject,\n   int nLength\n   const char *szName,\n   const char *szValue); Arguments Discussion This function adds the string parameter szName ..."},"66":{y:0,u:"../Content/C/aciObjectParamSetUns.htm",l:-1,t:"aciObjectParamSetUnsignedInt",i:0.00719554156164111,a:"Call the aciObjectParamSetUnsignedInt function to set the contents of an unsigned integer parameter.  Syntax aciError aciObjectParamSetUnsignedInt(\n   t_aciObject* pObject,\n   const char* szName,\n   unsigned int nValue) Arguments Discussion This function adds the szName unsigned integer parameter ..."},"67":{y:0,u:"../Content/C/aciObjectParentEntry.htm",l:-1,t:"aciObjectParentEntry",i:0.00719554156164111,a:"aciObjectParentEntry Call the aciObjectParentEntry function to return a pointer to the parent entry of the object. Syntax t_aciObject* aciObjectParentEntry(\n   t_aciObject* pObject) Arguments Discussion This function accesses the parent of the current object. Returns The parent ACI object."},"68":{y:0,u:"../Content/C/aciObjectResponseToS.htm",l:-1,t:"aciObjectResponseToStringArray",i:0.00719554156164111,a:"Call the aciObjectResponseToStringArray function to return all the values of a tag in an ACI response object. Syntax aciError aciObjectResponseToStringArray(\n   t_aciObject *pResponse,\n   char *szTagName,\n   char *szNumberName,\n   char ***paszValues,\n   long *plnValues ); Arguments Discussion This ..."},"69":{y:0,u:"../Content/C/aciObjectSetSecurity.htm",l:-1,t:"aciObjectSetSecurityKeys",i:0.00719554156164111,a:"Call the aciObjectSetSecurityKeys function to specify the security keys for communication with an ACI server. Syntax aciObjectSetSecurityKeys (    t_aciObject* pObject,    int nKey1,    int nKey2,    int nKey3,    int nKey4) Arguments Discussion This function sets the four security keys needed for ..."},"70":{y:0,u:"../Content/C/aciObjectSetUserSecu.htm",l:-1,t:"aciObjectSetUserSecurityInfo",i:0.00719554156164111,a:"Call the aciObjectSetUserSecurityInfo function to set the user-level security for documents in a repository. Syntax aciObjectSetUserSecurityInfo (\n   t_aciObject* pObject,\n   char* szRepository,\n   char* szName,\n   char* szValue) Arguments Discussion This function sets security information for a ..."},"71":{y:0,u:"../Content/C/aciObjectToString.htm",l:-1,t:"aciObjectToString",i:0.00719554156164111,a:"aciObjectToString Call the aciObjectToString function to print an ACI object. Syntax void aciObjectToString (\n   t_aciObject* pObject) Arguments Discussion This function prints a string representation of the ACI object to the standard output."},"72":{y:0,u:"../Content/C/aciObjectToXMLString.htm",l:-1,t:"aciObjectToXMLString",i:0.00719554156164111,a:"aciObjectToXMLString Call the aciObjectToXMLString function to convert an object into an XML-formatted string. Syntax char* aciObjectToXMLString (\n   t_aciObject* pObject) Arguments Returns The ACI object as a string containing XML formatting."},"73":{y:0,u:"../Content/C/aciObjectToXMLStringNoF.htm",l:-1,t:"aciObjectToXMLStringNoFormat",i:0.00719554156164111,a:"Call the aciObjectToXMLStringNoFormat function to convert an object into an XML string without newlines or tabs formatting. Syntax char* aciObjectToXMLStringNoFormat(\n   t_aciObject* pObject) Arguments Discussion This function converts the XML beneath pObject and return it as XML without formatting ..."},"74":{y:0,u:"../Content/C/acioFindFirstEnclose.htm",l:-1,t:"acioFindFirstEnclosedOccurrenceFromRoot",i:0.00719554156164111,a:"Call the acioFindFirstEnclosedOccurrenceFromRoot function to locate the first occurrence of the specified tag in an XML result from the immediate children. Syntax t_aciObject* acioFindFirstEnclosedOccurrenceFromRoot(\n   t_aciObject* pObject, \n   const char* szTag) Arguments Discussion This function ..."},"75":{y:0,u:"../Content/C/acioFindFirstOccurre.htm",l:-1,t:"acioFindFirstOccurrence",i:0.00719554156164111,a:"Call the acioFindFirstOccurrence function to locate the first occurrence of the specified tag in an XML result. Syntax t_aciObject* acioFindFirstOccurrence (\n   t_aciObject* pObject, \n   char* szTag) Arguments Discussion The function finds the first occurrence of the specified szTag in the XML ..."},"76":{y:0,u:"../Content/C/acioFindFirstOccurreFromRoot.htm",l:-1,t:"acioFindFirstOccurrenceFromRoot",i:0.00719554156164111,a:"Call the acioFindFirstOccurrenceFromRoot function to locate the first occurrence of the specified tag in an XML result. Syntax t_aciObject* acioFindFirstOccurrenceFromRoot (\n   t_aciObject* pObject, \n   char* szTag) Arguments Discussion This function finds the first occurrence of the specified szTag ..."},"77":{y:0,u:"../Content/C/acioGetErrorDescript.htm",l:-1,t:"acioGetErrorDescription",i:0.00719554156164111,a:"Call the acioGetErrorDescription function to return an error description. Syntax onst char* acioGetErrorDescription(\n   aciError nError); Arguments Discussion This function returns an error description of the error code nError. Returns An error description of the error code nError."},"78":{y:0,u:"../Content/C/acioGetFirstVariable.htm",l:-1,t:"acioGetFirstVariable",i:0.00719554156164111,a:"Call the acioGetFirstVariable function to access the parameter list of an ACI object. Syntax t_aciObjectVariable* acioGetFirstVariable(\n   t_aciObject* pObject) Arguments Discussion This function accesses the parameter list of an ACI object. You cannot de-reference this pointer directly (the type is ..."},});